Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.hibernate
Interface HibernateSessionManager

All Known Implementing Classes:
  HibernateSessionManagerImpl

    public interface HibernateSessionManager

Manages the Hibernate session for the current thread. This includes creating the session as needed, allowing the session to checkpoint (commit the current transaction and continue) and commit the transaction automatically at the end of the request.

Remember that in Tapestry, action requests and render requests are entirely separate, and you will see a separate request and a separate transaction for each. Care should be taken to ensure that entity objects that are retained (in the session, as persistent field values) between requests are handled correctly (they tend to become detached instances).

This implementation of this service is per-thread.

Method Summary
`void` | `abort()` Aborts the current transaction, and starts a new transaction to replace it.
`void` | `commit()` Commits the current transaction (which will cause a flush of data to the database), then starts a new transaction to replace it.
`org.hibernate.Session` | `getSession()` Gets the active session for this request, creating it as necessary.

Method Detail

### getSession

    org.hibernate.Session getSession()

  Gets the active session for this request, creating it as necessary. When the session is first created, a transaction is started.

  Returns:
    the request's session
  See Also:
    `HibernateSessionSource`

### commit

    void commit()

  Commits the current transaction (which will cause a flush of data to the database), then starts a new transaction to replace it.

### abort

    void abort()

  Aborts the current transaction, and starts a new transaction to replace it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.